///////////////////////////////////////////////////////////////////////////////
//
//  Copyright (2008) Alexander Stukowski
//
//  This file is part of OVITO (Open Visualization Tool).
//
//  OVITO is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  OVITO is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
///////////////////////////////////////////////////////////////////////////////

/**
 * \file StandardControllers.h
 * \brief Include file for all standard controller classes defined by the application core.
 */

#ifndef __OVITO_STD_CONTROLLERS_H
#define __OVITO_STD_CONTROLLERS_H

#include <core/Core.h>
#include "StandardConstControllers.h"
#include "StandardLinearControllers.h"
#include "StandardSplineControllers.h"
#include "TransformationController.h"
#include "LookAtController.h"

#endif // __OVITO_STD_CONTROLLERS_H
